APT-DATER(8)

NAME
apt-dater - terminal-based remote package update manager

SYNOPSIS

apt-dater [[-(c config|v|[n]r)]]

DESCRIPTION

This manual page documents briefly the apt-dater command.

apt-dater is a program to manage package updates on a large number of remote hosts using SSH.

OPTIONS

apt-dater accepts the following command parameters:

-c config
    Use alternative config file. Default is $XDG_CONFIG_HOME/apt-dater/apt-dater.xml.

-v
    Show apt-dater version and copyright statement.

-r
    Refresh hosts and create XML report on stdout. apt-dater must be compiled with XMLREPORT feature.

-n
    Prevent hosts to be refreshed before create XML report (useful for cronjobs which do not have access to SSH key(s)).

ENVIRONMENT

MAINTAINER
    The maintainer's name (i.e. used by debtrack). If not set, the GECOS entry for the current user will be used. This environment variable could be forwarded to remote hosts with the ssh(1) SendEnv+AcceptEnv options.

FILES

~/.config/apt-dater/apt-dater.xml
    The configuration file of apt-dater

~/.config/apt-dater/hosts.xml
    Contains all hosts you would like to manage

SEE ALSO

apt-dater.xml(5), apt-get(1), debtrack, ssh(1), XDG Base Directory Specification[1].

AUTHORS

Thomas Liske <liske@ibh.de>
    maintainer

Andre Ellguth
    ex-maintainer

COPYRIGHT
Copyright © 2008-2014 IBH IT-Service GmbH [https://www.ibh.de/]

NOTES

1.  XDG Base Directory Specification
    http://www.freedesktop.org/Standards/basedir-spec